# frozen_string_literal: true

module DvelpFlow
  module Channels
    class Base
      def initialize(params: {}, responder:)
        self.content = params[:content]
        self.params = params
        self.responder = responder
      end

      def communicate
        response.final? ? reply_and_connect : reply_and_gather
      end

      private

      attr_accessor :content, :params, :responder

      def reply_and_connect
        voice_response.say(content) if content.present?

        enqueue_task
      end

      def enqueue_task
        Twilio::TaskRouter::Task.create(task_attributes)
      end

      def task_attributes
        { workflow_sid: workflow_sid }
      end

      def reply_and_gather
        content
      end

      def response
        responder_params = {
          utterance: content,
          session_uuid: params[:session_uuid]
        }

        responder.new(params: responder_params)
      end
    end
  end
end
