# frozen_string_literal: true

module DvelpFlow
  module DialogFlow
    module Client
      def init(access_token:, api_session_id:, api_version: DialogFlow::VERSION)
        klass = Object.const_get(
          "DvelpFlow::DialogFlow::V#{api_version}"
        )

        klass.new(
          access_token: access_token,
          api_session_id: api_session_id
        )
      end
      module_function :init
    end
  end
end
