# frozen_string_literal: true

module DvelpFlow
  module DialogFlow
    class V1
      attr_accessor :client

      def initialize(access_token:, api_session_id:)
        self.client = ::ApiAiRuby::Client.new(
          client_access_token: access_token,
          api_lang: ENV['APIAI_LANGUAGE'],
          api_session_id: api_session_id
        )
      end

      def event_request
        client.event_request
      end

      def text_request
        client.text_request
      end
    end
  end
end
