# frozen_string_literal: true

module DvelpFlow
  module Parsers
    class Base
      def initialize(response:)
        self.response = response.symbolize_keys!
      end

      def intent_uuid
        response[:queryResult][:intent][:name]
      end

      def intent
        response[:queryResult][:intent][:displayName]
      end

      def parameters
        response[:queryResult][:parameters]
      end

      def score
        response[:queryResult][:intentDetectionConfidence] * 100
      end

      def speech
        response[:queryResult][:fulfillmentText]
      end

      private

      attr_accessor :response
    end
  end
end
